<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class disease extends Model
{
    use HasFactory;

    protected $fillable = [
        'name', 'code', 'description', 'solution', 'image_path'
    ];

    public function rules()
    {
        return $this->hasMany(Rule::class);
    }

    public function symptoms()
    {
        return $this->belongsToMany(Symptom::class, 'rules');
    }
}
