<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class symptom extends Model
{
    use HasFactory;

    protected $fillable = [
        'code', 'name'
    ];

    public function rules()
    {
        return $this->hasMany(Rule::class);
    }

    public function diseases()
    {
        return $this->belongsToMany(Disease::class, 'rules');
    }
}
