@extends('admin.layout.layout')

@section('title', 'Dashboard')

@section('content')

            <div id="layoutSidenav_content">
                <main>
                    <div class="container-fluid px-4">
                        <h1 class="mt-4">Dashboard</h1>
                        <ol class="breadcrumb mb-4">
                            <li class="breadcrumb-item active">Dashboard</li>
                        </ol>
                        <div class="row justify-content-center">
                            <div class="col-xl-3 col-md-6">
                                <div class="card text-black mb-4">
                                    <div class="card-body text-center">
                                        <img src="image_path/disease.png" alt="Disease Icon">
                                        <span class="count">{{ $diseasesCount }}</span> penyakit
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-3 col-md-6">
                                <div class="card text-black mb-4">
                                    <div class="card-body text-center">
                                        <img src="image_path/coronavirus.png" alt="Disease Icon">
                                        <span class="count">{{ $symptomsCount }}</span> Gejala
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-3 col-md-6">
                                <div class="card text-black mb-4">
                                    <div class="card-body text-center">
                                        <img src="image_path/user.png" alt="Disease Icon">
                                        <span class="count">{{ $usersCount }}</span> User
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="card mb-4">
                            <div class="card-header">
                                <i class="fas fa-table me-1"></i>
                                DataTable Example
                            </div>
                            <div class="card-body">
                                <table id="datatablesSimple">
                                    <thead>
                                        <tr>
                                            <th>Nama</th>
                                            <th>Email</th>
                                            <th>No Telp</th>
                                            <th>Alamat</th>
                                            <th>Role</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach($user as $user)
                                        <tr>
                                            <td>{{ $user->nama }}</td>
                                            <td>{{ $user->email }}</td>
                                            <td>{{ $user->no_telp }}</td>
                                            <td>{{ $user->alamat }}</td>
                                            <td>{{ $user->role_user }}</td>
                                        </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </main>
@endsection
